statistics-0.16.3.0: A library of statistical types, data, and functions

Copyright | (c) 2011 Aleksey Khudyakov
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Statistics.Distribution.CauchyLorentz

Contents

- Constructors

Description

The Cauchy-Lorentz distribution. It's also known as Lorentz distribution or Breit–Wigner distribution.

It doesn't have mean and variance.

Synopsis

- data CauchyDistribution
- cauchyDistribMedian :: CauchyDistribution -> Double
- cauchyDistribScale :: CauchyDistribution -> Double
- cauchyDistribution :: Double -> Double -> CauchyDistribution
- cauchyDistributionE :: Double -> Double -> Maybe CauchyDistribution
- standardCauchy :: CauchyDistribution

# Documentation

data CauchyDistribution #

Cauchy-Lorentz distribution.

#### Instances

Instances details

FromJSON CauchyDistribution # |
Instance details Defined in Statistics.Distribution.CauchyLorentz Methods parseJSON :: Value -> Parser CauchyDistribution # parseJSONList :: Value -> Parser [CauchyDistribution] # omittedField :: Maybe CauchyDistribution #
ToJSON CauchyDistribution # |
Instance details Defined in Statistics.Distribution.CauchyLorentz Methods toJSON :: CauchyDistribution -> Value # toEncoding :: CauchyDistribution -> Encoding # toJSONList :: [CauchyDistribution] -> Value # toEncodingList :: [CauchyDistribution] -> Encoding # omitField :: CauchyDistribution -> Bool #
Binary CauchyDistribution # |
Instance details Defined in Statistics.Distribution.CauchyLorentz Methods put :: CauchyDistribution -> Put # get :: Get CauchyDistribution # putList :: [CauchyDistribution] -> Put #
Data CauchyDistribution # |

Instance details

Defined in Statistics.Distribution.CauchyLorentz

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> CauchyDistribution -> c CauchyDistribution #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c CauchyDistribution #

toConstr :: CauchyDistribution -> Constr #

dataTypeOf :: CauchyDistribution -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c CauchyDistribution) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c CauchyDistribution) #

gmapT :: (forall b. Data b => b -> b) -> CauchyDistribution -> CauchyDistribution #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> CauchyDistribution -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> CauchyDistribution -> r #

gmapQ :: (forall d. Data d => d -> u) -> CauchyDistribution -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> CauchyDistribution -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> CauchyDistribution -> m CauchyDistribution #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> CauchyDistribution -> m CauchyDistribution #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> CauchyDistribution -> m CauchyDistribution #

Generic CauchyDistribution # |

Instance details

Defined in Statistics.Distribution.CauchyLorentz

Associated Types

type Rep CauchyDistribution |

Instance details

Defined in Statistics.Distribution.CauchyLorentz

type Rep CauchyDistribution = D1 ('MetaData "CauchyDistribution" "Statistics.Distribution.CauchyLorentz" "statistics-0.16.3.0-JhFVwN7Kv9y2XSvDlj54t" 'False) (C1 ('MetaCons "CD" 'PrefixI 'True) (S1 ('MetaSel ('Just "cauchyDistribMedian") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double) :*: S1 ('MetaSel ('Just "cauchyDistribScale") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double)))

Methods

from :: CauchyDistribution -> Rep CauchyDistribution x #

to :: Rep CauchyDistribution x -> CauchyDistribution #

Read CauchyDistribution # |
Instance details Defined in Statistics.Distribution.CauchyLorentz Methods readsPrec :: Int -> ReadS CauchyDistribution # readList :: ReadS [CauchyDistribution] # readPrec :: ReadPrec CauchyDistribution # readListPrec :: ReadPrec [CauchyDistribution] #
Show CauchyDistribution # |
Instance details Defined in Statistics.Distribution.CauchyLorentz Methods showsPrec :: Int -> CauchyDistribution -> ShowS # show :: CauchyDistribution -> String # showList :: [CauchyDistribution] -> ShowS #
Eq CauchyDistribution # |
Instance details Defined in Statistics.Distribution.CauchyLorentz Methods (==) :: CauchyDistribution -> CauchyDistribution -> Bool # (/=) :: CauchyDistribution -> CauchyDistribution -> Bool #
ContDistr CauchyDistribution # |
Instance details Defined in Statistics.Distribution.CauchyLorentz Methods density :: CauchyDistribution -> Double -> Double # logDensity :: CauchyDistribution -> Double -> Double # quantile :: CauchyDistribution -> Double -> Double # complQuantile :: CauchyDistribution -> Double -> Double #
ContGen CauchyDistribution # |
Instance details Defined in Statistics.Distribution.CauchyLorentz Methods genContVar :: StatefulGen g m => CauchyDistribution -> g -> m Double #
Distribution CauchyDistribution # |
Instance details Defined in Statistics.Distribution.CauchyLorentz Methods cumulative :: CauchyDistribution -> Double -> Double # complCumulative :: CauchyDistribution -> Double -> Double #
Entropy CauchyDistribution # |
Instance details Defined in Statistics.Distribution.CauchyLorentz Methods entropy :: CauchyDistribution -> Double #
MaybeEntropy CauchyDistribution # |
Instance details Defined in Statistics.Distribution.CauchyLorentz Methods maybeEntropy :: CauchyDistribution -> Maybe Double #
type Rep CauchyDistribution # |

Instance details

Defined in Statistics.Distribution.CauchyLorentz

type Rep CauchyDistribution = D1 ('MetaData "CauchyDistribution" "Statistics.Distribution.CauchyLorentz" "statistics-0.16.3.0-JhFVwN7Kv9y2XSvDlj54t" 'False) (C1 ('MetaCons "CD" 'PrefixI 'True) (S1 ('MetaSel ('Just "cauchyDistribMedian") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double) :*: S1 ('MetaSel ('Just "cauchyDistribScale") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double)))

cauchyDistribMedian :: CauchyDistribution -> Double #

Central value of Cauchy-Lorentz distribution which is its mode and median. Distribution doesn't have mean so function is named after median.

cauchyDistribScale :: CauchyDistribution -> Double #

Scale parameter of Cauchy-Lorentz distribution. It's different from variance and specify half width at half maximum (HWHM).

# Constructors

cauchyDistribution #

Arguments

:: Double | Central point
-> Double | Scale parameter (FWHM)
-> CauchyDistribution |

Cauchy distribution

cauchyDistributionE #

Arguments

:: Double | Central point
-> Double | Scale parameter (FWHM)
-> Maybe CauchyDistribution |

Cauchy distribution

standardCauchy :: CauchyDistribution #

Standard Cauchy distribution. It's centered at 0 and have 1 FWHM